using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AgeOnUpdate
{
    class AgeOnControl
    {
        public AgeOnControl()
        {

        }

        public static void CloseAgeOn()
        {

            System.Diagnostics.Process[] ps =
                System.Diagnostics.Process.GetProcessesByName("AgeOn");

            foreach (System.Diagnostics.Process p in ps)
            {
                //クローズメッセージを送信する
                p.CloseMainWindow();

                //プロセスが終了するまで最大10秒待機する
                p.WaitForExit();
                //プロセスが終了したか確認する
                if (p.HasExited)
                {
                    //終了した
                    //break;
                }
                else
                {
                    //break;
                    //終了しない
                }
            }
        }
        public static void StartAgeOn()
        {
            System.Diagnostics.Process.Start("ageon.exe");
        }
    }
}
